Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.40.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
233.40.0.0
Broadcast address
233.40.15.255
First usable
233.40.0.1
Last usable
233.40.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9280000 · Integer 3911712768 to 3911716863
Reverse DNS zones
0.40.233.in-addr.arpa
1.40.233.in-addr.arpa
2.40.233.in-addr.arpa
3.40.233.in-addr.arpa
4.40.233.in-addr.arpa
5.40.233.in-addr.arpa
6.40.233.in-addr.arpa
7.40.233.in-addr.arpa
8.40.233.in-addr.arpa
9.40.233.in-addr.arpa
10.40.233.in-addr.arpa
11.40.233.in-addr.arpa
12.40.233.in-addr.arpa
13.40.233.in-addr.arpa
14.40.233.in-addr.arpa
15.40.233.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.00101000.00000000.00000000233.40.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11101001.00101000.00000000.00000000233.40.0.0
Broadcast11101001.00101000.00001111.11111111233.40.15.255
Split into smaller subnets/27

233.40.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.40.0.0/27233.40.0.1 to 233.40.0.30233.40.0.3130
2233.40.0.32/27233.40.0.33 to 233.40.0.62233.40.0.6330
3233.40.0.64/27233.40.0.65 to 233.40.0.94233.40.0.9530
4233.40.0.96/27233.40.0.97 to 233.40.0.126233.40.0.12730
5233.40.0.128/27233.40.0.129 to 233.40.0.158233.40.0.15930
6233.40.0.160/27233.40.0.161 to 233.40.0.190233.40.0.19130
7233.40.0.192/27233.40.0.193 to 233.40.0.222233.40.0.22330
8233.40.0.224/27233.40.0.225 to 233.40.0.254233.40.0.25530
9233.40.1.0/27233.40.1.1 to 233.40.1.30233.40.1.3130
10233.40.1.32/27233.40.1.33 to 233.40.1.62233.40.1.6330
11233.40.1.64/27233.40.1.65 to 233.40.1.94233.40.1.9530
12233.40.1.96/27233.40.1.97 to 233.40.1.126233.40.1.12730
13233.40.1.128/27233.40.1.129 to 233.40.1.158233.40.1.15930
14233.40.1.160/27233.40.1.161 to 233.40.1.190233.40.1.19130
15233.40.1.192/27233.40.1.193 to 233.40.1.222233.40.1.22330
16233.40.1.224/27233.40.1.225 to 233.40.1.254233.40.1.25530
17233.40.2.0/27233.40.2.1 to 233.40.2.30233.40.2.3130
18233.40.2.32/27233.40.2.33 to 233.40.2.62233.40.2.6330
19233.40.2.64/27233.40.2.65 to 233.40.2.94233.40.2.9530
20233.40.2.96/27233.40.2.97 to 233.40.2.126233.40.2.12730
21233.40.2.128/27233.40.2.129 to 233.40.2.158233.40.2.15930
22233.40.2.160/27233.40.2.161 to 233.40.2.190233.40.2.19130
23233.40.2.192/27233.40.2.193 to 233.40.2.222233.40.2.22330
24233.40.2.224/27233.40.2.225 to 233.40.2.254233.40.2.25530
25233.40.3.0/27233.40.3.1 to 233.40.3.30233.40.3.3130
26233.40.3.32/27233.40.3.33 to 233.40.3.62233.40.3.6330
27233.40.3.64/27233.40.3.65 to 233.40.3.94233.40.3.9530
28233.40.3.96/27233.40.3.97 to 233.40.3.126233.40.3.12730
29233.40.3.128/27233.40.3.129 to 233.40.3.158233.40.3.15930
30233.40.3.160/27233.40.3.161 to 233.40.3.190233.40.3.19130
31233.40.3.192/27233.40.3.193 to 233.40.3.222233.40.3.22330
32233.40.3.224/27233.40.3.225 to 233.40.3.254233.40.3.25530
33233.40.4.0/27233.40.4.1 to 233.40.4.30233.40.4.3130
34233.40.4.32/27233.40.4.33 to 233.40.4.62233.40.4.6330
35233.40.4.64/27233.40.4.65 to 233.40.4.94233.40.4.9530
36233.40.4.96/27233.40.4.97 to 233.40.4.126233.40.4.12730
37233.40.4.128/27233.40.4.129 to 233.40.4.158233.40.4.15930
38233.40.4.160/27233.40.4.161 to 233.40.4.190233.40.4.19130
39233.40.4.192/27233.40.4.193 to 233.40.4.222233.40.4.22330
40233.40.4.224/27233.40.4.225 to 233.40.4.254233.40.4.25530
41233.40.5.0/27233.40.5.1 to 233.40.5.30233.40.5.3130
42233.40.5.32/27233.40.5.33 to 233.40.5.62233.40.5.6330
43233.40.5.64/27233.40.5.65 to 233.40.5.94233.40.5.9530
44233.40.5.96/27233.40.5.97 to 233.40.5.126233.40.5.12730
45233.40.5.128/27233.40.5.129 to 233.40.5.158233.40.5.15930
46233.40.5.160/27233.40.5.161 to 233.40.5.190233.40.5.19130
47233.40.5.192/27233.40.5.193 to 233.40.5.222233.40.5.22330
48233.40.5.224/27233.40.5.225 to 233.40.5.254233.40.5.25530
49233.40.6.0/27233.40.6.1 to 233.40.6.30233.40.6.3130
50233.40.6.32/27233.40.6.33 to 233.40.6.62233.40.6.6330
51233.40.6.64/27233.40.6.65 to 233.40.6.94233.40.6.9530
52233.40.6.96/27233.40.6.97 to 233.40.6.126233.40.6.12730
53233.40.6.128/27233.40.6.129 to 233.40.6.158233.40.6.15930
54233.40.6.160/27233.40.6.161 to 233.40.6.190233.40.6.19130
55233.40.6.192/27233.40.6.193 to 233.40.6.222233.40.6.22330
56233.40.6.224/27233.40.6.225 to 233.40.6.254233.40.6.25530
57233.40.7.0/27233.40.7.1 to 233.40.7.30233.40.7.3130
58233.40.7.32/27233.40.7.33 to 233.40.7.62233.40.7.6330
59233.40.7.64/27233.40.7.65 to 233.40.7.94233.40.7.9530
60233.40.7.96/27233.40.7.97 to 233.40.7.126233.40.7.12730
61233.40.7.128/27233.40.7.129 to 233.40.7.158233.40.7.15930
62233.40.7.160/27233.40.7.161 to 233.40.7.190233.40.7.19130
63233.40.7.192/27233.40.7.193 to 233.40.7.222233.40.7.22330
64233.40.7.224/27233.40.7.225 to 233.40.7.254233.40.7.25530
65233.40.8.0/27233.40.8.1 to 233.40.8.30233.40.8.3130
66233.40.8.32/27233.40.8.33 to 233.40.8.62233.40.8.6330
67233.40.8.64/27233.40.8.65 to 233.40.8.94233.40.8.9530
68233.40.8.96/27233.40.8.97 to 233.40.8.126233.40.8.12730
69233.40.8.128/27233.40.8.129 to 233.40.8.158233.40.8.15930
70233.40.8.160/27233.40.8.161 to 233.40.8.190233.40.8.19130
71233.40.8.192/27233.40.8.193 to 233.40.8.222233.40.8.22330
72233.40.8.224/27233.40.8.225 to 233.40.8.254233.40.8.25530
73233.40.9.0/27233.40.9.1 to 233.40.9.30233.40.9.3130
74233.40.9.32/27233.40.9.33 to 233.40.9.62233.40.9.6330
75233.40.9.64/27233.40.9.65 to 233.40.9.94233.40.9.9530
76233.40.9.96/27233.40.9.97 to 233.40.9.126233.40.9.12730
77233.40.9.128/27233.40.9.129 to 233.40.9.158233.40.9.15930
78233.40.9.160/27233.40.9.161 to 233.40.9.190233.40.9.19130
79233.40.9.192/27233.40.9.193 to 233.40.9.222233.40.9.22330
80233.40.9.224/27233.40.9.225 to 233.40.9.254233.40.9.25530
81233.40.10.0/27233.40.10.1 to 233.40.10.30233.40.10.3130
82233.40.10.32/27233.40.10.33 to 233.40.10.62233.40.10.6330
83233.40.10.64/27233.40.10.65 to 233.40.10.94233.40.10.9530
84233.40.10.96/27233.40.10.97 to 233.40.10.126233.40.10.12730
85233.40.10.128/27233.40.10.129 to 233.40.10.158233.40.10.15930
86233.40.10.160/27233.40.10.161 to 233.40.10.190233.40.10.19130
87233.40.10.192/27233.40.10.193 to 233.40.10.222233.40.10.22330
88233.40.10.224/27233.40.10.225 to 233.40.10.254233.40.10.25530
89233.40.11.0/27233.40.11.1 to 233.40.11.30233.40.11.3130
90233.40.11.32/27233.40.11.33 to 233.40.11.62233.40.11.6330
91233.40.11.64/27233.40.11.65 to 233.40.11.94233.40.11.9530
92233.40.11.96/27233.40.11.97 to 233.40.11.126233.40.11.12730
93233.40.11.128/27233.40.11.129 to 233.40.11.158233.40.11.15930
94233.40.11.160/27233.40.11.161 to 233.40.11.190233.40.11.19130
95233.40.11.192/27233.40.11.193 to 233.40.11.222233.40.11.22330
96233.40.11.224/27233.40.11.225 to 233.40.11.254233.40.11.25530
97233.40.12.0/27233.40.12.1 to 233.40.12.30233.40.12.3130
98233.40.12.32/27233.40.12.33 to 233.40.12.62233.40.12.6330
99233.40.12.64/27233.40.12.65 to 233.40.12.94233.40.12.9530
100233.40.12.96/27233.40.12.97 to 233.40.12.126233.40.12.12730
101233.40.12.128/27233.40.12.129 to 233.40.12.158233.40.12.15930
102233.40.12.160/27233.40.12.161 to 233.40.12.190233.40.12.19130
103233.40.12.192/27233.40.12.193 to 233.40.12.222233.40.12.22330
104233.40.12.224/27233.40.12.225 to 233.40.12.254233.40.12.25530
105233.40.13.0/27233.40.13.1 to 233.40.13.30233.40.13.3130
106233.40.13.32/27233.40.13.33 to 233.40.13.62233.40.13.6330
107233.40.13.64/27233.40.13.65 to 233.40.13.94233.40.13.9530
108233.40.13.96/27233.40.13.97 to 233.40.13.126233.40.13.12730
109233.40.13.128/27233.40.13.129 to 233.40.13.158233.40.13.15930
110233.40.13.160/27233.40.13.161 to 233.40.13.190233.40.13.19130
111233.40.13.192/27233.40.13.193 to 233.40.13.222233.40.13.22330
112233.40.13.224/27233.40.13.225 to 233.40.13.254233.40.13.25530
113233.40.14.0/27233.40.14.1 to 233.40.14.30233.40.14.3130
114233.40.14.32/27233.40.14.33 to 233.40.14.62233.40.14.6330
115233.40.14.64/27233.40.14.65 to 233.40.14.94233.40.14.9530
116233.40.14.96/27233.40.14.97 to 233.40.14.126233.40.14.12730
117233.40.14.128/27233.40.14.129 to 233.40.14.158233.40.14.15930
118233.40.14.160/27233.40.14.161 to 233.40.14.190233.40.14.19130
119233.40.14.192/27233.40.14.193 to 233.40.14.222233.40.14.22330
120233.40.14.224/27233.40.14.225 to 233.40.14.254233.40.14.25530
121233.40.15.0/27233.40.15.1 to 233.40.15.30233.40.15.3130
122233.40.15.32/27233.40.15.33 to 233.40.15.62233.40.15.6330
123233.40.15.64/27233.40.15.65 to 233.40.15.94233.40.15.9530
124233.40.15.96/27233.40.15.97 to 233.40.15.126233.40.15.12730
125233.40.15.128/27233.40.15.129 to 233.40.15.158233.40.15.15930
126233.40.15.160/27233.40.15.161 to 233.40.15.190233.40.15.19130
127233.40.15.192/27233.40.15.193 to 233.40.15.222233.40.15.22330
128233.40.15.224/27233.40.15.225 to 233.40.15.254233.40.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses